#!/system/bin/sh 
# logcat stuff
# log -t hallo BlaB
LOGCAT_BATTERYTEST_TAG=BatteryLongtermTest
BATTERY_WORK_DIR=/data/work_data/battery
BATTERY_WORK_FILE=$BATTERY_WORK_DIR/bat_work.txt
# cat /sys/module/da9052_battery/parameters/ibat_uA_each_digit
# cat /sys/module/da9052_battery/parameters/ibat_0mA_digit
# cat /sys/module/da9052_battery/parameters/vbat_diff_each_mA
# cat /sys/module/da9052_battery/parameters/vbat_ibat_0mA

if [ ! -d $BATTERY_WORK_DIR ] ; then
	mkdir -p $BATTERY_WORK_DIR
fi
ibat_uA_each_digit=$(cat /sys/module/da9052_battery/parameters/ibat_uA_each_digit)
ibat_0mA_digit=$(cat /sys/module/da9052_battery/parameters/ibat_0mA_digit)
vbat_diff_each_mA=$(cat /sys/module/da9052_battery/parameters/vbat_diff_each_mA)
echo "IBAT_UA_EACH_DIGIT, $ibat_uA_each_digit" > $BATTERY_WORK_FILE
echo "IBAT_0MA_DIGIT, $ibat_0mA_digit" >> $BATTERY_WORK_FILE
echo "VBAT_DIFF_EACH_MA, $vbat_diff_each_mA" >> $BATTERY_WORK_FILE
echo "// adjusted: $(date)" >> $BATTERY_WORK_FILE
echo 0 > /sys/module/da9052_battery/parameters/store_values_to_fs
sync
log -t $LOGCAT_BATTERYTEST_TAG "Store battery values: IBAT_UA_EACH_DIGIT: $ibat_uA_each_digit IBAT_0MA_DIGIT:$ibat_0mA_digit VBAT_DIFF_EACH_MA: $vbat_diff_each_mA"